%define _kde4_alternate_placement 1
%add_findpackage_path %_kde4_bindir
%add_findreq_skiplist %_K4exec/khc_*

%define rname kdebase-runtime
%define major 4
%define minor 4
%define bugfix 5
Name: kde4base-runtime
Version: %major.%minor.%bugfix
Release: alt0.M51.1

Group: Graphical desktop/KDE
Summary: K Desktop Environment - Runtime
License: GPLv2
Url: http://www.kde.org/

Requires: %name-core = %version-%release

Source0: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdebase-runtime-%version.tar
Source10: search-yandex.desktop
Source11: search-altbugzilla.desktop
# MDK
# ALT
Patch1001: kdebase-runtime-4.3.2-alt-compiz.patch
Patch1002: kdebase-runtime-4.4.1-alt-def-nepomuk.patch
Patch1003: kdebase-runtime-4.4.3-alt-submenu-delay.patch

BuildRequires(pre): kde4pimlibs-devel attica-devel
#BuildRequires: libhal-devel
BuildRequires: gcc-c++ cmake bzlib-devel liblzma-devel xml-utils
BuildRequires: libalsa-devel libclucene-devel libjpeg-devel libpcre-devel
BuildRequires: libqt4-devel libsmbclient-devel
BuildRequires: soprano soprano-backend-redland soprano-backend-virtuoso libsoprano-devel libstrigi-devel
BuildRequires: libungif-devel libxine-devel libxkbfile-devel openexr-devel
BuildRequires: libpulseaudio-devel libopenslp-devel
BuildRequires: libexiv2-devel exiv2 libssh-devel phonon-devel
BuildRequires: kde4libs-devel >= %version kde4pimlibs-devel >= %version

%description
Core runtime for the K Desktop Environment 4.

%package common
Summary: %name common package
Group: System/Configuration/Other
Requires: kde-common >= %major.%minor
%description common
%name common package

%package core
Summary: Core files for %name
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: kde4-icon-theme-oxygen
Requires: phonon-backend >= 4.3.0
Requires: shared-desktop-ontologies
Requires: libattica >= %{get_version libattica}
%ifnarch s390 s390x
Requires: eject
%endif
#Obsoletes: kde4base-runtime < 4.2.60
%description core
Core files for  %name

%package -n libkwalletbackend4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libkwalletbackend4
KDE 4 library.

%package -n libmolletnetwork4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libmolletnetwork4
KDE 4 library.

%package devel
Summary: Headers files for %name
Group: Development/KDE and QT
Requires: kde4libs-devel
%description devel
Headers files needed to build applications based on kdegames applications.


%prep
%setup -q -n %rname-%version
#
%patch1001 -p1
%patch1002 -p1
%patch1003 -p1

install -m 0644 %SOURCE10 kurifilter-plugins/ikws/searchproviders/yandex.desktop
install -m 0644 %SOURCE11 kurifilter-plugins/ikws/searchproviders/altbugzilla.desktop

cat >kde4 <<__EOF__
#!/bin/sh
#  Script for launching KDE4 applications from outside of the KDE4 desktop

%ifdef _kde4_alternate_placement
PATH="%_kde4_bindir:/usr/lib/kde4bin:\$PATH" exec "\$@"
%else
PATH="%_K4bindir:/usr/lib/kde4bin:\$PATH" exec "\$@"
%endif
__EOF__

%build
%K4build \
    -DKDE4_ENABLE_FPIE:BOOL=ON

%install
%K4install
mkdir -p %buildroot/%_K4doc/en/common

%ifdef _kde4_alternate_placement
mkdir -p %buildroot/%_K4bindir/
pushd %buildroot/%_kde4_bindir
for f in *4
do
    ln -sf `relative %buildroot/%_kde4_bindir/$f %buildroot/%_K4bindir/$f` %buildroot/%_K4bindir/$f
done
popd
ln -sf `relative %_kde4_bindir/kde4 %_K4bindir/kde4` %buildroot/%_K4bindir/kde4
%endif


%files
%files common
%files core
%_K4conf_bin/*
%_K4plug/phonon_platform/kde.so
%dir %_K4apps/kcm_phonon/
%_K4apps/kcm_phonon/listview-background.png
%dir %_K4apps/libphonon/
%_K4apps/libphonon/hardwaredatabase
%dir %_K4apps/phonon/
%_K4apps/phonon/phonon.notifyrc
#
%_K4dbus_services/*
#
%config %_kde4_xdg_menu/*.menu
%_kde4_bindir/*
%ifdef _kde4_alternate_placement
%_K4bindir/*4
%endif
%attr(2711,root,nobody) %_K4exec/kdesud
%_K4exec/drkonqi
%_K4exec/kdeeject
%_K4exec/kdesu
%_K4exec/khc_*
%_K4exec/kioexec
%_K4exec/klocaldomainurifilterhelper
%_K4exec/knetattach
#%_K4libdir/*.so.*
%_K4libdir/attica_kde.so
%_K4libdir/libkdeinit4_*.so
%_K4libdir/strigi/*.so*
%_K4lib/*.so*
%_K4plug/styles/*.so*
%_kde4_xdg_dirs/*.directory
%_K4start/nepomukserver.desktop
%_K4apps/desktoptheme/
%_K4apps/kglobalaccel
%_K4apps/khelpcenter/
%_K4apps/ksmserver/
%_K4apps/kstyle/themes
%_K4apps/konqsidebartng/
%_K4apps/kwalletd/
#%_K4apps/nepomuk/*
%_K4apps/nepomukstorage/
%_K4apps/nepomukstrigiservice/
%_K4cfg/*
%_K4conf/*
%_K4emo/kde4/
%ifdef _kde4_alternate_placement
%_kde4_iconsdir/hicolor/index.theme
%endif
%_kde4_iconsdir/hicolor/*/*/*
%_kde4_xdg_apps/*
%_K4xdg_mime/network.xml
%_K4i18n/*
%_K4snd/*
%_K4srv/*
%_K4srvtyp/*
%_man1dir/*
%_K4doc/en/*
%exclude %_K4doc/en/common

%_K4apps/drkonqi/
%_K4apps/kcm_componentchooser/
%_K4apps/kcmlocale/
%_K4apps/kconf_update/
%_K4apps/kde/
%_K4apps/kio_*/
%_K4apps/konqueror/
%_K4apps/kstyle/themes/oxygen.themerc
%_K4apps/remoteview/

%files -n libkwalletbackend4
%_K4libdir/libkwalletbackend.so.*

%files -n libmolletnetwork4
%_K4libdir/libmolletnetwork.so.*

%files devel
%_K4link/*.so
%_K4apps/cmake/
%_K4dbus_interfaces/*

%changelog
* Thu Jul 08 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.5-alt0.M51.1
- built for M51

* Mon Jul 05 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.5-alt1
- new version

* Mon Jun 07 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.4-alt2
- rebuilt with new exiv2

* Thu Jun 03 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.4-alt0.M51.1
- built for M51

* Mon May 31 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.4-alt1
- new version

* Wed May 26 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.3-alt2.M51.2
- built for M51

* Tue May 25 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.3-alt3
- fix to build with new attica

* Mon May 24 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.3-alt1.M51.1
- built for M51

* Mon May 24 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.3-alt2
- increase oxygen style submenu pupup delay

* Thu May 13 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.3-alt0.M51.1
- built for M51

* Fri Apr 30 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.3-alt1
- new version

* Wed Apr 21 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.2-alt0.M51.1
- built for M51

* Mon Mar 29 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.2-alt1
- new version

* Mon Mar 01 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.1-alt1
- new version

* Wed Feb 10 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.0-alt1
- new version

* Thu Jan 28 2010 Sergey V Turchin <zerg@altlinux.org> 4.3.95-alt1
- new version

* Tue Jan 19 2010 Sergey V Turchin <zerg@altlinux.org> 4.3.90-alt1
- new version

* Tue Dec 15 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt0.M51.1
- built for M51

* Mon Nov 30 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt1
- new version

* Mon Nov 09 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt0.M51.1
- built for M51

* Fri Oct 30 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt1
- new version

* Thu Oct 08 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.2-alt1
- new version

* Thu Sep 24 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt2
- build with LZMA/XZ compression support

* Mon Aug 31 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt1
- new version

* Thu Aug 20 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt3
- don't start nepomukserver by default

* Tue Aug 18 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt2
- add old kde binaries path to kde4 script

* Tue Aug 04 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt1
- 4.3.0

* Tue Aug 04 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.98-alt2
- revert fish:/ to 4.2.4

* Wed Jul 22 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.98-alt1
- 4.2.98

* Wed Jul 15 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.96-alt1
- 4.2.96

* Mon Jul 13 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt2.M50.1
- built for M50

* Fri Jul 10 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt3
- add Yandex and ALT Linux bugzilla search providers

* Wed Jul 08 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt2
- fix to start compiz with kde4-window-decorator

* Mon Jun 22 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt0.M50.1
- built for M50

* Fri Jun 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt1
- new version

* Mon May 04 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.3-alt1
- new version

* Thu Apr 23 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.2-alt2
- add symlink kcmshell4 to /usr/bin

* Thu Apr 02 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.2-alt1
- new version

* Wed Mar 25 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.1-alt2
- add patch to start nepomuk after plasma

* Mon Mar 02 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.1-alt1
- new version

* Thu Feb 26 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt3
- fix build requires
- add script kde4 to allow execute kde4 apps via it

* Thu Feb 19 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt2
- fix to don't require kdebase-libs

* Wed Jan 28 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt1
- new version

* Wed Jan 14 2009 Sergey V Turchin <zerg at altlinux dot org> 4.1.96-alt1
- new version
- remove deprecated macroses from specfile

* Thu Nov 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version

* Thu Oct 09 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- new version

* Mon Sep 01 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.1-alt1
- new version

* Wed Jul 30 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.0-alt1
- new version

* Wed May 28 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.80-alt1
- 4.1 beta1

* Tue May 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.72-alt1
- new version

* Tue Apr 01 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.3-alt1
- new version

* Tue Mar 11 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt2
- rebuilt with Qt4 buildkey change

* Thu Mar 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt1
- new version

* Wed Feb 27 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt2
- rebuilt with new openexr

* Fri Feb 15 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt1
- built for ALT

